Loading...
Searching...
No Matches
PointPartitioner< PointIndexType, BucketLog2Dim >::IndexIterator Class Reference

`#include <openvdb/tools/PointPartitioner.h>`

## Public Types

using | IndexType = PointIndexType

## Public Member Functions

| IndexIterator (IndexType *begin=nullptr, IndexType *end=nullptr)
void | reset ()
| Rewind to first item.
size_t | size () const
| Number of point indices in the iterator range.
IndexType & | operator* ()
| Returns the item to which this iterator is currently pointing.
const IndexType & | operator* () const
| operator bool () const
| Return `true` if this iterator is not yet exhausted.
bool | test () const
IndexIterator & | operator++ ()
| Advance to the next item.
bool | next ()
| Advance to the next item.
bool | increment ()
bool | operator== (const IndexIterator &other) const
| Equality operators.
bool | operator!= (const IndexIterator &other) const

## Member Typedef Documentation

## IndexType

template<typename PointIndexType = uint32_t, Index BucketLog2Dim = 3>

using IndexType = PointIndexType

## Constructor & Destructor Documentation

## IndexIterator()

template<typename PointIndexType = uint32_t, Index BucketLog2Dim = 3>

IndexIterator | ( | IndexType * | begin = nullptr,
|  | IndexType * | end = nullptr )

inline

## Member Function Documentation

## increment()

template<typename PointIndexType = uint32_t, Index BucketLog2Dim = 3>

bool increment | ( |  | ) |

inline

## next()

template<typename PointIndexType = uint32_t, Index BucketLog2Dim = 3>

bool next | ( |  | ) |

inline

Advance to the next item.

## operator bool()

template<typename PointIndexType = uint32_t, Index BucketLog2Dim = 3>

operator bool | ( |  | ) | const

inline

Return `true` if this iterator is not yet exhausted.

## operator!=()

template<typename PointIndexType = uint32_t, Index BucketLog2Dim = 3>

bool operator!= | ( | const IndexIterator & | other | ) | const

inline

## operator*() [1/2]

template<typename PointIndexType = uint32_t, Index BucketLog2Dim = 3>

IndexType & operator* | ( |  | ) |

inline

Returns the item to which this iterator is currently pointing.

## operator*() [2/2]

template<typename PointIndexType = uint32_t, Index BucketLog2Dim = 3>

const IndexType & operator* | ( |  | ) | const

inline

## operator++()

template<typename PointIndexType = uint32_t, Index BucketLog2Dim = 3>

IndexIterator & operator++ | ( |  | ) |

inline

Advance to the next item.

## operator==()

template<typename PointIndexType = uint32_t, Index BucketLog2Dim = 3>

bool operator== | ( | const IndexIterator & | other | ) | const

inline

Equality operators.

## reset()

template<typename PointIndexType = uint32_t, Index BucketLog2Dim = 3>

void reset | ( |  | ) |

inline

Rewind to first item.

## size()

template<typename PointIndexType = uint32_t, Index BucketLog2Dim = 3>

size_t size | ( |  | ) | const

inline

Number of point indices in the iterator range.

## test()

template<typename PointIndexType = uint32_t, Index BucketLog2Dim = 3>

bool test | ( |  | ) | const

inline